# class Tk::Iwidgets::Hyperhelp

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

back() click to toggle source

    # File lib/tkextlib/iwidgets/hyperhelp.rb, line 47
    def back
      tk_call(@path, 'back')
      self
    end

follow_link(href) click to toggle source

    # File lib/tkextlib/iwidgets/hyperhelp.rb, line 37
    def follow_link(href)
      tk_call(@path, 'followlink', href)
      self
    end

forward() click to toggle source

    # File lib/tkextlib/iwidgets/hyperhelp.rb, line 42
    def forward
      tk_call(@path, 'forward')
      self
    end

show_topic(topic) click to toggle source

    # File lib/tkextlib/iwidgets/hyperhelp.rb, line 32
    def show_topic(topic)
      tk_call(@path, 'showtopic', topic)
      self
    end

### Private Instance Methods

__listval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__listval_optkeys

    # File lib/tkextlib/iwidgets/hyperhelp.rb, line 27
    def __listval_optkeys
      super() << 'topics'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Itk::Toplevel#__strval_optkeys

    # File lib/tkextlib/iwidgets/hyperhelp.rb, line 22
    def __strval_optkeys
      super() << 'helpdir'
    end